<?php

namespace ServiceType;

use \WsdlToPhp\PackageBase\AbstractSoapClientBase;

/**
 * This class stands for Check ServiceType
 * @subpackage Services
 */
class Check extends AbstractSoapClientBase
{
    /**
     * Method to call the operation originally named CheckPaymentRequiredField
     * Meta information extracted from the WSDL
     * - documentation: Fields Check payment.
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\CheckPaymentRequiredField $parameters
     * @return \StructType\CheckPaymentRequiredFieldResponse|bool
     */
    public function CheckPaymentRequiredField(\StructType\CheckPaymentRequiredField $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->CheckPaymentRequiredField($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named CheckPayment
     * Meta information extracted from the WSDL
     * - documentation: Check payment
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\CheckPayment $parameters
     * @return \StructType\CheckPaymentResponse|bool
     */
    public function CheckPayment(\StructType\CheckPayment $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->CheckPayment($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Returns the result
     * @see AbstractSoapClientBase::getResult()
     * @return \StructType\CheckPaymentRequiredFieldResponse|\StructType\CheckPaymentResponse
     */
    public function getResult()
    {
        return parent::getResult();
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
